Read a retained simulation plan
curl --request GET \
--url https://api.firedrill.run/v1/projects/{projectId}/simulation-plans/{planId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/simulation-plans/{planId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firedrill.run/v1/projects/{projectId}/simulation-plans/{planId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"planId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"buildHash": "<string>",
"digest": "<string>",
"concurrency": 32,
"retries": 5,
"logicalCases": 5000,
"maxAttempts": 55000,
"createdBy": "<string>",
"createdAtMs": 0,
"environmentId": "<string>",
"toolSetupId": "<string>",
"browserInvocations": [
{
"targetId": "<string>",
"testId": "<string>",
"expectedTestVersion": 0,
"role": {
"kind": "tool_ui",
"packageId": "<string>",
"instanceId": "<string>"
},
"mode": "replay",
"timeoutMs": 120000,
"maxActions": 100,
"definitionDigest": "<string>",
"capture": {
"screenshot": "off",
"video": "off",
"trace": "off"
},
"captureConsent": "include-sensitive-content",
"captureMask": [
{
"by": "role",
"role": "button",
"name": "<string>"
}
]
}
]
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Read a retained simulation plan
Read a retained simulation plan
Authorizations
Opaque control credential
Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^simplan_[0-9a-z]{12,32}$Response
Immutable plan metadata
Available options:
1 Pattern:
^simplan_[0-9a-z]{12,32}$Pattern:
^org_[0-9a-z]{12,32}$Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^sha256:[0-9a-f]{64}$Pattern:
^sha256:[0-9a-f]{64}$Required range:
0 < x <= 64Required range:
0 <= x <= 10Required range:
0 < x <= 10000Required range:
0 < x <= 110000Required string length:
1 - 255Required range:
-9007199254740991 <= x <= 9007199254740991Pattern:
^env_[0-9a-z]{12,32}$Pattern:
^setup_[0-9a-z]{12,32}$Required array length:
1 - 64 elementsShow child attributes
Show child attributes